> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a timeline entry

GET https://preview.contentful.com/spaces/{space_id}/environments/{environment_id}/timeline/entries/{entry_id}

Reference: https://contentful.com/developers/docs/references/content-preview-api/timeline/get-a-timeline-entry

## Request

### Path parameters

- `space_id` (string, required) — Alphanumeric id of the space to retrieve.
- `environment_id` (string, required) — ID of the environment in form of a string
- `entry_id` (string, required) — Alphanumeric id of the entry to retrieve

### Query parameters

- `access_token` (string, required)
- `release` (string, required) — release id as a string.
- `timestamp` (string, required) — timestamp in ISO datetime string.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "fields": {
    "body": {
      "en-US": "Bacon is healthy!"
    },
    "title": {
      "en-US": "Hello, World!"
    }
  },
  "metadata": {
    "tags": [
      {
        "sys": {
          "id": "nyCampaign",
          "linkType": "Tag",
          "type": "Link"
        }
      }
    ]
  },
  "sys": {
    "contentType": {
      "sys": {
        "id": "hfM9RCJIk0wIm06WkEOQY",
        "linkType": "ContentType",
        "type": "Link"
      }
    },
    "createdAt": "2025-02-04T11:25:29.000Z",
    "id": "5KsDBWseXY6QegucYAoacS",
    "revision": 1,
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Entry",
    "updatedAt": "2025-02-04T11:25:29.000Z",
    "version": 1
  }
}
```

**SDK Code**

```javascript JavaScript
import { createClient } from 'contentful'

const client = createClient({
  space: '<space_id>',
  accessToken: '<content_preview_api_key>',
  host: 'preview.contentful.com',
  timelinePreview: {
    release: { lte: '<release_id>' },
  },
});

client
  .getEntry('<entry_id>')
  .then((entry) => console.log(entry))
  .catch(console.error);
```

```android Android
No snippet for this SDK.
```

```java Java
No snippet for this SDK.
```

```kotlin Kotlin
No snippet for this SDK.
```

```swift Swift
No snippet for this SDK.
```

```php PHP
No snippet for this SDK.
```

```ruby Ruby
No snippet for this SDK.
```

```python Python
No snippet for this SDK.
```

```.net .NET
No snippet for this SDK.
```